Subject: bug#31884: 26.1.50; Wrong icon in gtk tooltips

From: Carlos Pita <[email-masked]>
Date: Mon, 18 Jun 2018 22:03:58 -0300

Tags: patch

This was a hard one to find...

The problem is in gtkutil.c xg_show_tooltip: gtk_widget_show_all makes
the icon that comes by default with a tooltip visible, which is
undesirable since that icon was never set. The fix is to simply use
gtk_widget_show.

Attached is a python script that reproduces the behavior, trying to
mimic the real emacs code. The first time you press the button show is
called and the tooltip has no icon, as expected. The second time
show_all is called and the missing icon problem manifests. If you keep
pressing the button show and show_all alternate, but the missing icon
is still there since it has been made visible forever by the first
show_all call.